Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface IJavaModelMarker

public interface IJavaModelMarker

Markers used by the Java model.

This interface declares constants only; it is not intended to be implemented or extended.

Field Summary
`static String` | `ARGUMENTS` Id marker attribute (value `"arguments"`).
`static String` | `BUILDPATH_PROBLEM_MARKER` Build path problem marker type (value `"org.eclipse.jdt.core.buildpath_problem"`).
`static String` | `CLASSPATH_FILE_FORMAT` Classpath file format marker attribute (value `"classpathFileFormat"`).
`static String` | `CYCLE_DETECTED` Cycle detected marker attribute (value `"cycleDetected"`).
`static String` | `FLAGS` Flags marker attribute (value `"flags"`).
`static String` | `ID` Id marker attribute (value `"id"`).
`static String` | `JAVA_MODEL_PROBLEM_MARKER` Java model problem marker type (value `"org.eclipse.jdt.core.problem"`).
`static String` | `TASK_MARKER` Java model task marker type (value `"org.eclipse.jdt.core.task"`).
`static String` | `TRANSIENT_PROBLEM` Java model transient problem marker type (value `"org.eclipse.jdt.core.transient_problem"`).

Field Detail

### JAVA_MODEL_PROBLEM_MARKER

    public static final String JAVA_MODEL_PROBLEM_MARKER

  Java model problem marker type (value `"org.eclipse.jdt.core.problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the Java tooling during compilation.

  See Also:
    Constant Field Values

### TRANSIENT_PROBLEM

    public static final String TRANSIENT_PROBLEM

  Java model transient problem marker type (value `"org.eclipse.jdt.core.transient_problem"`). This can be used to recognize those markers in the workspace that flag transient problems detected by the Java tooling (such as a problem detected by the outliner, or a problem detected during a code completion)

  See Also:
    Constant Field Values

### TASK_MARKER

    public static final String TASK_MARKER

  Java model task marker type (value `"org.eclipse.jdt.core.task"`). This can be used to recognize task markers in the workspace that correspond to tasks specified in Java source comments and detected during compilation (for example, 'TO-DO: ...'). Tasks are identified by a task tag, which can be customized through `JavaCore` option `"org.eclipse.jdt.core.compiler.taskTag"`.

  Since:
    2.1
  See Also:
    Constant Field Values

### ARGUMENTS

    public static final String ARGUMENTS

  Id marker attribute (value `"arguments"`). Arguments are concatenated into one String, prefixed with an argument count (followed with colon separator) and separated with '#' characters. For example: { "foo", "bar" } is encoded as "2:foo#bar", { } is encoded as "0: "

  Since:
    2.0
  See Also:
    Constant Field Values

### ID

    public static final String ID

  Id marker attribute (value `"id"`).

  See Also:
    Constant Field Values

### FLAGS

    public static final String FLAGS

  Flags marker attribute (value `"flags"`). Reserved for future use.

  See Also:
    Constant Field Values

### CYCLE_DETECTED

    public static final String CYCLE_DETECTED

  Cycle detected marker attribute (value `"cycleDetected"`). Used only on buildpath problem markers. The value of this attribute is either "true" or "false".

  See Also:
    Constant Field Values

### BUILDPATH_PROBLEM_MARKER

    public static final String BUILDPATH_PROBLEM_MARKER

  Build path problem marker type (value `"org.eclipse.jdt.core.buildpath_problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the Java tooling during classpath setting.

  See Also:
    Constant Field Values

### CLASSPATH_FILE_FORMAT

    public static final String CLASSPATH_FILE_FORMAT

  Classpath file format marker attribute (value `"classpathFileFormat"`). Used only on buildpath problem markers. The value of this attribute is either "true" or "false".

  Since:
    2.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.